package com.ims.studentManager;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.stream.Collectors;

import javax.annotation.PostConstruct;

import org.springframework.stereotype.Component;
import org.springframework.util.ResourceUtils;

@Component
public class StudentManagerHelp {
	
	private String help;

	@PostConstruct
	public void init() {
		// @formatter:off
		help = "Sintaxis: java -jar movieadvisor.jar [OPCIONES]\r\n"
				+ "\r\n"
				+ "	-la\r\n"
				+ "	Lista los diferentes alumnos del instituto.\r\n"
				+ "	No se pueden utilizar más parámetros.\r\n"
				+ "	\r\n"
				+ "	-ac asignatura1,asignatura2,asignatura3...\r\n"
				+ "	Lista aquellos alumnos que pertenecen a al menos una de las asignaturas \r\n"
				+ "	que se indican.	El listado de asignaturas no puede incluir espacios.\r\n"
				+ "	\r\n"
				+ "	-tc asignatura1,asignatura2,asignatura3...\r\n"
				+ "	Lista aquellos alumnos que pertenecen a todos y cada uno de las \r\n"
				+ "	asignaturas que se indican. El listado de asignaturas no puede incluir espacios. \r\n"
				+ "	\r\n"
				+ "	-g grado\r\n"
				+ "	Lista aquellos alumnos que se encuentran en el grado indicado.\r\n"
				+ "	El año debe expresarse sin espacios.\r\n"
				+ "	\r\n"
				+ "	-n nombre\r\n"
				+ "	Lista aquellos alumnos cuyo nombre contiene la cadena proporcionada.\r\n"
				+ "	Se ignorará el uso de mayúsculas/minúsculas en la comparación.\r\n"
				+ "	\r\n"
				+ "	-h\r\n"
				+ "	Muestra este mensaje de ayuda.\r\n"
				+ "	\r\n";
		// @formatter:on
	}

	public String getHelp() {
		return help;
	}
	
}
